/*bootstrap custom style */
.list-group-item { 
border-left: 2px solid transparent !important;
}
.list-group-item-action:hover, .list-group-item-action:focus { 
  border-left: 2px solid #bbb2b2 !important;
  -webkit-transition: background-color 200ms linear;
  -ms-transition: background-color 200ms linear;
  transition: background-color 200ms linear;
}

span.form-error { 
  font-size: 13px;
    color: #e20a0a;
}

body.swal2-shown > [aria-hidden='true'] {
  transition: 0.1s filter;
  filter: blur(3px);
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}

.app-link { 
  color: #04add0;
}

div.input-group button { 
  border-color: #ced4da;
  border-left: none!important;
}
div.input-group button i { 
  font-size: 22px!important;
}

div.theme-color a { 
  zoom: 1.2;
}

.col-button-group { 
  display: flex;
    align-items: self-start;
    justify-content: space-evenly;
    padding-top: 1px;
}

.list-group-item .open-button { 
  position: absolute;
    right: 25px;
    float: right;
}
.list-group-item .open-button i { 
  font-size: 22px!important;
}

.qr-area { 
  background: #f8ebd8;
    padding: 14px;
    border-radius: 12px;
}

.activate-header { 
  padding: 13px;
color: #FFF;
border-radius: 8px;
margin-bottom: 14px;
background-color: #0d0a0b;
background-image: linear-gradient(315deg, #0d0a0b 0%, #009fc2 74%);
}
.app-modal-spinner { 
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 999;
  background: rgba(255, 255, 255, 0.9);
  border-radius: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align:center;
}

.initital-avatar { 
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid gray;
  border-radius: 50px;
  font-size: 56px;
  color: #FFF;
  border-color: #229d95;
  background: #229d95;
}
.initital-avatar-topbar {
  width: 34px;
  height: 34px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  font-size: 22px;
  color: #FFF;
  font-weight: 700;
  background: #229d95;
}
.initial-holder { 
  display: flex;
  justify-content: center;
}

.app-cSpinner { 
  background: rgba(255, 255, 255, 0.9);
    width: 100%;
    height: 100%;
    display: flex;
    position: absolute;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 3;
    font-weight: 600;
    row-gap: 15px;
}
.app-cSpinner p { 
  font-size: 16px;
}

.appvista-auth {
  /* background: linear-gradient(143deg,#2e767b,#e34742,#347fb9); */
  background-size: 180% 180%;
  animation: gradient-animation 9s ease infinite;
}

@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.note-title { 
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.note-content { 
  display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.control-xl { 
  font-weight: 700;
    font-size: 21px;
    padding: 6px;
}

.preset-btn {
    border: 2px solid var(--bs-gray-300);
    --bs-btn-active-border-color: var(--bs-gray-300);
  }
  .preset-btn:hover,
  .preset-btn:active,
  .preset-btn.active {
    border-color: #2689e2;
  }
  .theme-color.preset-color {
    display: flex;
    position: relative;
    width: 100%;
    flex-wrap: wrap;
    padding: 0 8px 8px;
  }
  .theme-color.preset-color > a {
    position: relative;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    overflow: hidden;
    transition: all 0.15s ease-in-out;
    margin-right: 10px;
    margin-top: 10px;
    width: 48px;
    height: 48px;
    flex: none;
  }
  .theme-color.preset-color > a:after {
    content: "";
    position: absolute;
    inset: 4px;
    border-radius: 50%;
    background: #ffffff80;
    z-index: 1;
    transform: scale(0);
    transition: all 0.15s ease-in-out;
  }
  .theme-color.preset-color > a i {
    font-size: 27px;
    font-weight: 600;
    color: #fff;
    transform: scale(0);
    transition: all 0.15s ease-in-out;
  }
  .theme-color.preset-color > a i:before {
    position: relative;
    z-index: 5;
  }
  .theme-color.preset-color > a:hover:after {
    transform: scale(1);
  }
  .theme-color.preset-color > a.active:after,
  .theme-color.preset-color > a.active i {
    transform: scale(1);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-1"] {
    background: linear-gradient(135deg, #2196f3 50%, #673ab7 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-2"] {
    background: linear-gradient(135deg, #607d8b 50%, #009688 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-3"] {
    background: linear-gradient(135deg, #203461 50%, #ec407a 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-4"] {
    background: linear-gradient(135deg, #16595a 50%, #c77e23 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-5"] {
    background: linear-gradient(135deg, #173e43 50%, #3fb0ac 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-6"] {
    background: linear-gradient(135deg, #0a2342 50%, #2ca58d 50%);
  }
  .theme-color.preset-color.preset-color > a[data-value="preset-7"] {
    background: linear-gradient(135deg, #3f51b5 50% 50%);
  }
  .theme-color .btn-label {
    margin: 5px 0 14px 20px;
    position: relative;
    display: block;
    text-align: left;
  }
  .theme-color .btn-label:before,
  .theme-color .btn-label:after {
    content: "";
    position: absolute;
    left: -20px;
    top: -1px;
    width: 16px;
    height: 16px;
    border-radius: 50%;
  }
  .theme-color .btn-label:before {
    background: #2689e2;
    transform: scale(0);
  }
  .theme-color .btn-label:after {
    border: 2px solid #eee;
  }
  .theme-color .pc-lay-icon {
    position: relative;
    width: 35px;
    height: 25px;
    border-radius: 3px;
    display: inline-block;
    background: #eceff1;
    overflow: hidden;
    border: 1px solid #eee;
  }
  .theme-color .pc-lay-icon span {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .theme-color .pc-lay-icon span:nth-child(1),
  .theme-color .pc-lay-icon span:nth-child(3) {
    width: 32%;
    left: 0;
  }
  .theme-color .pc-lay-icon span:nth-child(1) {
    background: #fff;
  }
  .theme-color .pc-lay-icon span:nth-child(3) {
    background: #fff;
  }
  .theme-color .pc-lay-icon span:nth-child(2),
  .theme-color .pc-lay-icon span:nth-child(4) {
    z-index: 1;
    width: 70%;
    left: auto;
    right: 0;
    background: #eceff1;
  }
  .theme-color .pc-lay-icon span:nth-child(1),
  .theme-color .pc-lay-icon span:nth-child(2) {
    top: 0;
    height: 35%;
  }
  .theme-color .pc-lay-icon span:nth-child(3),
  .theme-color .pc-lay-icon span:nth-child(4) {
    top: auto;
    bottom: 0;
    height: 75%;
  }
  .theme-color .pc-lay-icon span:nth-child(2) {
    background: #fff;
  }
  .theme-layout .btn i {
    font-size: 26px;
  }
  .customize-body {
    position: relative;
    height: calc(100% - 140px);
  }
  .preset-btn {
    padding: 3px;
    width: 100%;
    line-height: 0;
    border-radius: 7px;
  }
  .preset-btn .pc-lay-icon {
    width: 100%;
    height: 35px;
    min-width: 50px;
  }
  .preset-btn.size {
    width: 50px !important;
    height: 50px;
  }
  .preset-btn.active {
    border-color: #2689e2;
  }
  .preset-btn.active .btn-label:before {
    background: #2689e2;
    transform: scale(0.5);
  }
  .preset-btn.active .btn-label:after {
    border-color: #2689e2;
  }
  .theme-layout .btn[data-value="false"] .pc-lay-icon span:nth-child(1),
  .theme-layout .btn[data-value="false"] .pc-lay-icon span:nth-child(3) {
    background: #1b2755;
  }
  .theme-layout .btn[data-value="false"] .pc-lay-icon span:nth-child(2),
  .theme-layout .btn[data-value="false"] .pc-lay-icon span:nth-child(4) {
    background: #111936;
  }
  .theme-layout .btn[data-value="true"] .pc-lay-icon span:nth-child(1),
  .theme-layout .btn[data-value="true"] .pc-lay-icon span:nth-child(3) {
    background: #fff;
  }
  .theme-layout .btn[data-value="true"] .pc-lay-icon span:nth-child(2),
  .theme-layout .btn[data-value="true"] .pc-lay-icon span:nth-child(4) {
    background: #eceff1;
  }
  .theme-sidebar-color .btn[data-value="false"] span:not(.btn-label):nth-child(1),
  .theme-sidebar-color
    .btn[data-value="false"]
    span:not(.btn-label):nth-child(3) {
    background: #fff;
  }
  .theme-sidebar-color .btn[data-value="true"] .pc-lay-icon span:nth-child(1),
  .theme-sidebar-color .btn[data-value="true"] .pc-lay-icon span:nth-child(3) {
    background: #111936;
  }
  .theme-nav-caption .btn span:nth-child(3) {
    flex-direction: column;
  }
  .theme-nav-caption .btn span:nth-child(3) span {
    position: absolute;
    background: #6610f2;
    height: 4px;
    width: 40% !important;
    left: 0 !important;
    border-radius: 3px;
  }
  .theme-nav-caption .btn span:nth-child(3) span:before,
  .theme-nav-caption .btn span:nth-child(3) span:after {
    border-radius: 3px;
    content: "";
    position: absolute;
    left: 0;
    height: 3px;
    width: 150%;
  }
  .theme-nav-caption .btn span:nth-child(3) span:before {
    top: 5px;
  }
  .theme-nav-caption .btn span:nth-child(3) span:after {
    top: 10px;
  }
  .theme-nav-caption .btn span:nth-child(3) span:nth-child(2) {
    top: 15px;
  }
  .theme-nav-caption .btn[data-value="false"] span:nth-child(3) span {
    background: 0 0;
  }
  .theme-direction .btn[data-value="true"] .pc-lay-icon span:nth-child(1),
  .theme-direction .btn[data-value="true"] .pc-lay-icon span:nth-child(3) {
    left: auto;
    right: 0;
  }
  .theme-direction .btn[data-value="true"] .pc-lay-icon span:nth-child(2),
  .theme-direction .btn[data-value="true"] .pc-lay-icon span:nth-child(4) {
    left: 0;
    right: auto;
  }
  .theme-container .btn span:nth-child(4) {
    padding: 5px;
  }
  .theme-container .btn span:nth-child(4):after {
    content: "";
    position: absolute;
    left: 0;
    background: #00000026;
    height: 100%;
    width: 100%;
  }
  .theme-container .btn span:nth-child(4) > span {
    border-radius: 3px;
    position: relative;
    z-index: 5;
    background: var(--bs-offcanvas-bg);
    height: 100%;
    width: 100%;
  }
  .theme-container .btn[data-value="true"] span:nth-child(4) > span {
    width: 60%;
  }
  .theme-font-style {
    padding: 8px;
  }
  .theme-font-style .form-check {
    padding-left: 0;
    padding-right: 0;
    margin-bottom: 8px;
  }
  .theme-font-style .form-check .form-check-label {
    padding: 13px 18px;
    border-radius: var(--bs-border-radius);
    border: 1px solid #eee;
    display: flex;
  }
  .theme-font-style .form-check .form-check-input {
    display: none;
  }
  .theme-font-style .form-check .form-check-input:checked ~ .form-check-label {
    border-color: #2689e2;
    box-shadow: 0 0 0 1px rgba(var(--bs-primary-rgb), 1),
      0 0 0 6px rgba(var(--bs-primary-rgb), 0.12);
  }
label.error { 
  font-size: 13px;
    color: #dd1010;
}
label.form-label { 
  margin-bottom:1px;
}
label.required:after { 
  content:"*";
  margin-left:3px;
  color:#dd1010;
}